Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Fields
waitpid_state Struct Reference

## Data Fields
struct list_node | wnode
rb_execution_context_t * | ec
rb_nativethread_cond_t * | cond
rb_pid_t | ret
rb_pid_t | pid
int | status
int | options
int | errnum

## Detailed Description

Definition at line 943 of file process.c.

## Field Documentation

## ◆ cond

rb_nativethread_cond_t* waitpid_state::cond

Definition at line 946 of file process.c.

## ◆ ec

rb_execution_context_t* waitpid_state::ec

Definition at line 945 of file process.c.

## ◆ errnum

int waitpid_state::errnum

Definition at line 951 of file process.c.

## ◆ options

int waitpid_state::options

Definition at line 950 of file process.c.

## ◆ pid

rb_pid_t waitpid_state::pid

Definition at line 948 of file process.c.

## ◆ ret

rb_pid_t waitpid_state::ret

Definition at line 947 of file process.c.

Referenced by rb_proc_exec().

## ◆ status

int waitpid_state::status

Definition at line 949 of file process.c.

## ◆ wnode

struct list_node waitpid_state::wnode

Definition at line 944 of file process.c.

The documentation for this struct was generated from the following file:

- process.c